<?php
#
# $Id: check_ipvs.php 169 2013-12-30 18:46:00Z phil $
# 
# pnp4nagios template for check_ipvs.
#
# use RRD_STORAGE_TYPE = MULTIPLE.
#
# Author: Philippe Kueck <projects at unixadm dot org>

# sources: total_active, total_inactive, real1_active, real1_inactive, real2_active, ...

$color = array('#a06f00', '#00ffff', '#e000ff', '#00e000', '#a0006f', '#308f3f');

$opt[2] = "--vertical-label \"Active connections\" -l0  --title \"active connections for $hostname / $servicedesc\" ";
$opt[1] = "--vertical-label \"Inactive connections\" -l0  --title \"inactive connections for $hostname / $servicedesc\" ";
$def[1] = $def[2] = null;

for ($i = 1; $i <= count($DS); $i++) {
	$d = ($i%2)+1;
	$def[$d] .= rrd::def("var$i", $RRDFILE[$i], $DS[$i], "AVERAGE");
	$NAME[$i] = rrd::cut($NAME[$i], 32);
	if ($i <= 2) {
		$def[$d] .= rrd::alerter_gr("var$i", $NAME[$i], $WARN[$i], $CRIT[$i], "FF", $UNIT[$i], $color[($i-1)/2], '#ffff00', '#ff0000', $color[($i-1)/2]);
	} else {
		$def[$d] .= rrd::line1("var$i", $color[($i-1)/2 % count($color)], $NAME[$i]);
	}
	$def[$d] .= rrd::gprint("var$i", array("LAST", "AVERAGE", "MAX"), "%6.0lf");
}

?>
